"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const definition_1 = require("./definition");
class DefinitionsManager {
    constructor(definitions) {
        this.definitions = definitions;
        this.setup = (bridge, global, options) => {
            this.definitions.forEach((definition) => definition.define(bridge, global, options));
        };
    }
    static get() {
        if (!DefinitionsManager.instance) {
            DefinitionsManager.instance = new DefinitionsManager([
                new definition_1.BridgeDefinition(),
                new definition_1.ConsoleDefinition(),
                new definition_1.ProcessDefinition(),
                new definition_1.TimerDefinition(),
                new definition_1.InvokeDefinition(),
                new definition_1.ApiDefinition()
            ]);
        }
        return DefinitionsManager.instance;
    }
}
exports.DefinitionsManager = DefinitionsManager;
